<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_ethernet_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structmcm__ethernet__info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__ethernet__info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_ethernet_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab0a1a9a5ec460c2eab059b20ca060d0f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__ethernet__info.html#ab0a1a9a5ec460c2eab059b20ca060d0f">link_detected</a></td></tr>
<tr class="separator:ab0a1a9a5ec460c2eab059b20ca060d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae04231ce43ad5c030cf42404d9c87378"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__ethernet__info.html#ae04231ce43ad5c030cf42404d9c87378">link_speed</a></td></tr>
<tr class="separator:ae04231ce43ad5c030cf42404d9c87378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46966ce81efd5e320fb4c65c58df2559"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__ethernet__info.html#a46966ce81efd5e320fb4c65c58df2559">duplex</a> [16]</td></tr>
<tr class="separator:a46966ce81efd5e320fb4c65c58df2559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac0b6c9827d0ae7ad162cd19ed5cf058"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__ethernet__info.html#aac0b6c9827d0ae7ad162cd19ed5cf058">dhcp_server</a></td></tr>
<tr class="separator:aac0b6c9827d0ae7ad162cd19ed5cf058"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for ethernet interface information </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="aac0b6c9827d0ae7ad162cd19ed5cf058"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac0b6c9827d0ae7ad162cd19ed5cf058">&#9670;&nbsp;</a></span>dhcp_server</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool mcm_ethernet_info::dhcp_server</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DHCP Server status </p>

</div>
</div>
<a id="a46966ce81efd5e320fb4c65c58df2559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46966ce81efd5e320fb4c65c58df2559">&#9670;&nbsp;</a></span>duplex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_ethernet_info::duplex[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>duplex </p>

</div>
</div>
<a id="ab0a1a9a5ec460c2eab059b20ca060d0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0a1a9a5ec460c2eab059b20ca060d0f">&#9670;&nbsp;</a></span>link_detected</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool mcm_ethernet_info::link_detected</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>link detected </p>

</div>
</div>
<a id="ae04231ce43ad5c030cf42404d9c87378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae04231ce43ad5c030cf42404d9c87378">&#9670;&nbsp;</a></span>link_speed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_ethernet_info::link_speed</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>link speed </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structmcm__ethernet__info.html">mcm_ethernet_info</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
